Pidgin compile error

Daniel Atallah daniel.atallah at gmail.com
Tue Feb 19 14:31:16 EST 2008


On Feb 15, 2008 2:00 PM, <airyk at sabowski.com> wrote:

> Pidgin 2.3.1 is giving me the following compile error:
>
> /bin/sh ../libtool --silent --tag=CC   --mode=link gcc  -g -g -O2
> -export-dynamic  -o pidgin eggtrayicon.o pidgincombobox.o pidginstock.o
> gtkaccount.o gtkblist.o gtkcelllayout.o gtkcellrendererexpander.o
> gtkcellrendererprogress.o gtkcellview.o gtkcellviewmenuitem.o gtkcertmgr.o
> gtkconn.o gtkconv.o gtkdebug.o gtkdialogs.o gtkdnd-hints.o gtkdocklet.o
> gtkdocklet-x11.o gtkeventloop.o gtkexpander.o gtkft.o gtkidle.o
> gtkimhtml.o gtkimhtmltoolbar.o gtklog.o gtkmain.o gtkmenutray.o
> gtknotify.o gtkplugin.o gtkpluginpref.o gtkpounce.o gtkprefs.o
> gtkprivacy.o gtkrequest.o gtkroomlist.o gtksavedstatuses.o gtkscrollbook.o
> gtksession.o gtksound.o gtksourceiter.o gtksourceundomanager.o
> gtksourceview-marshal.o gtkstatusbox.o gtkthemes.o gtkutils.o
> gtkwhiteboard.o minidialog.o -L/lib -Wl,-rpath,/lib -Wl,-rpath,/usr/lib
> -ldbus-glib-1 -ldbus-1 -lglib-2.0    -L/usr/local/X11R7.2/lib  -lSM -lICE
> -lX11 -lXext  -L/usr/local/X11R7.2/lib  -lXss -L/usr/local/X11R7.2/lib
> -lSM -lICE  -Wl,-rpath,/usr/lib -L/lib -Wl,-rpath,/lib
> -L/usr/local/gtkspell/lib -Wl,-rpath,/usr/local/gtkspell/lib -lgtkspell
> -laspell -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm
> -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl
> -lglib-2.0   -Wl,-rpath,/usr/lib -lstartup-notification-1
> -Wl,-rpath,/usr/lib -lxml2 -lz -lm   -Wl,-rpath,/usr/lib -L/lib
> -Wl,-rpath,/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm
> -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl
> -lglib-2.0   ../libpurple/libpurple.la -lnsl -lresolv
> gtkblist.o: In function `headline_style_set':
> /export/sabowski/usr/local/src/pidgin-2.3.1/pidgin/gtkblist.c:4857:
> undefined reference to `g_object_ref_sink'
> gtkrequest.o: In function `pidgin_request_action':
> /export/sabowski/usr/local/src/pidgin-2.3.1/pidgin/gtkrequest.c:590:
> undefined reference to `gtk_window_set_deletable'
> gtkutils.o: In function `pidgin_set_urgent':
> /export/sabowski/usr/local/src/pidgin-2.3.1/pidgin/gtkutils.c:2865:
> undefined reference to `gtk_window_set_urgency_hint'
> minidialog.o: In function `pidgin_mini_dialog_get_type':
> /export/sabowski/usr/local/src/pidgin-2.3.1/pidgin/minidialog.c:38:
> undefined reference to `g_intern_static_string'
> /export/sabowski/usr/local/src/pidgin-2.3.1/pidgin/minidialog.c:38:
> undefined reference to `g_type_register_static_simple'
> ../libpurple/.libs/libpurple.so: undefined reference to
> `g_mkdir_with_parents'
> /usr/lib/libpangocairo-1.0.so: undefined reference to `g_slice_alloc0'
> /usr/lib/libpangocairo-1.0.so: undefined reference to
> `pango_font_describe_with_absolute_size'
> /usr/lib/libpangocairo-1.0.so: undefined reference to `g_slice_alloc'
> /usr/lib/libpangocairo-1.0.so: undefined reference to
> `pango_matrix_get_font_scale_factor'
> /usr/lib/libpangocairo-1.0.so: undefined reference to
> `pango_fc_font_create_metrics_for_context'
> /usr/lib/libpangocairo-1.0.so: undefined reference to `g_slice_free1'
> ../libpurple/.libs/libpurple.so: undefined reference to `g_access'
> /usr/lib/libpangocairo-1.0.so: undefined reference to
> `pango_font_get_font_map'
> collect2: ld returned 1 exit status
> make[3]: *** [pidgin] Error 1
> make[3]: Leaving directory
> `/export/sabowski/usr/local/src/pidgin-2.3.1/pidgin'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory
> `/export/sabowski/usr/local/src/pidgin-2.3.1/pidgin'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/export/sabowski/usr/local/src/pidgin-2.3.1'
> make: *** [all] Error 2
>
> The thing about this machine I am on is that I do not have root access to
> the machine but I do have a large amount of space to install my own stuff.
>
> Even though gnutls is already installed on the machine, they did not have
> the devel stuff install, so I installed gnutls myself and pointed the
> configure script at my install:
>
> ./configure --prefix=/export/sabowski/usr/local
> --with-gnutls-includes=/homes/sabowski/sabo/usr/local/include
> --with-gnutls-libs=/homes/sabowski/sabo/usr/local/lib
>
> I also had to set PKG_CONFIG_PATH to "/usr/lib/pkgconfig" in order to get
> the configure script to find dbus.
>
> The version of glib currently install on the machine is 2.12.3 (according
> to "pkg-config --modversion glib-2.0")


The problem seems to be that that the glib (and pango) headers don't
correspond with the installed libraries.

If you've overridden the include paths with env. vars. or via configure
params, you need to also do the corresponding changes to the lib paths.

Alternatively, if it is coming from pkgconfig,  It is possible that your
(locally installed?) glib-2.0.pc file is somehow messed up and points to the
system lib paths instead of the local versions.

-D
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://pidgin.im/pipermail/support/attachments/20080219/dead40d2/attachment.htm 


More information about the Support mailing list